xcb_randr_create_lease(3)

NAME
xcb_randr_create_lease -

SYNOPSIS
#include <xcb/randr.h>

  Request function

xcb_randr_create_lease_cookie_t xcb_randr_create_lease(xcb_connection_t *conn, xcb_window_t window, xcb_randr_lease_t lid, uint16_t num_crtcs, uint16_t num_outputs, const xcb_randr_crtc_t *crtcs, const xcb_randr_output_t *outputs);

  Reply datastructure

typedef struct xcb_randr_create_lease_reply_t {
    uint8_t  response_type;
    uint8_t  nfd;
    uint16_t sequence;
    uint32_t length;
    uint8_t  pad0[24];
} xcb_randr_create_lease_reply_t;

  Reply function

xcb_randr_create_lease_reply_t *xcb_randr_create_lease_reply(xcb_connection_t *conn, xcb_randr_create_lease_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

window
    TODO: NOT YET DOCUMENTED.

lid TODO: NOT YET DOCUMENTED.

num_crtcs
    TODO: NOT YET DOCUMENTED.

num_outputs
    TODO: NOT YET DOCUMENTED.

crtcs
    TODO: NOT YET DOCUMENTED.

outputs
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_RANDR_CREATE_LEASE. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

nfd TODO: NOT YET DOCUMENTED.

master_fd
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_randr_create_lease_cookie_t. Errors have to be handled when calling the reply function xcb_randr_create_lease_reply. If you want to handle errors in the event loop instead, use xcb_randr_create_lease_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from randr.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.